clang 10.0.0git

Namespaces | Enumerations | Functions
Encoding.h File Reference

Contains functions for text encoding manipulation. More...

`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/ConvertUTF.h"`
`#include "llvm/Support/Unicode.h"`
Include dependency graph for Encoding.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format
| clang::format::encoding

## Enumerations
enum | clang::format::encoding::Encoding { clang::format::encoding::Encoding_UTF8, clang::format::encoding::Encoding_Unknown }

## Functions
Encoding | clang::format::encoding::detectEncoding (StringRef Text)
| Detects encoding of the Text. More...
unsigned | clang::format::encoding::columnWidth (StringRef Text, Encoding Encoding)
| Returns the number of columns required to display the `Text` on a generic Unicode-capable terminal. More...
unsigned | clang::format::encoding::columnWidthWithTabs (StringRef Text, unsigned StartColumn, unsigned TabWidth, Encoding Encoding)
| Returns the number of columns required to display the `Text`, starting from the `StartColumn` on a terminal with the `TabWidth`. More...
unsigned | clang::format::encoding::getCodePointNumBytes (char FirstChar, Encoding Encoding)
| Gets the number of bytes in a sequence representing a single codepoint and starting with FirstChar in the specified Encoding. More...
bool | clang::format::encoding::isOctDigit (char c)
bool | clang::format::encoding::isHexDigit (char c)
unsigned | clang::format::encoding::getEscapeSequenceLength (StringRef Text)
| Gets the length of an escape sequence inside a C++ string literal. More...

## Detailed Description

Contains functions for text encoding manipulation.

Supports UTF-8, 8-bit encodings and escape sequences in C++ string literals.

Definition in file Encoding.h.